## RREF Reduced Row Echelon Form of a Matrix

Section: Array Generation and Manipulations

### Usage

Calculates the reduced row echelon form of a matrix using Gauss Jordan elimination with partial pivoting. The generic syntax for `rref` is

       R = rref(A)

A default tolerance of `max(size(A))*eps*norm(A,inf)` is used to detect negligible column elements. The second form of `rref` returns a vector `k` as well as `R`

      [R,k] = rref(A)

where `k` is a vector that correponds to the columns of `A` used as pivot columns. If you want to control the tolerance used to identify negligible elements, you can use the form

      [R,k] = rref(A, tolerance)

This implementation of `rref` is based on the one from the matcompat lib for octave. It is copyright Paul Kienzle, and distributed under the GNU GPL.